Permalink
Browse files

add looksee gem, irbtools-more 1.2.0

  • Loading branch information...
1 parent b503818 commit 5eb9b4bfc9e01cf1c8e5c1f105a3d2f79f40121f @janlelis committed Jan 10, 2012
Showing with 32 additions and 31 deletions.
  1. +3 −0 CHANGELOG
  2. +1 −1 LICENSE
  3. +10 −23 README.rdoc
  4. +1 −1 VERSION
  5. +6 −5 irbtools-more.gemspec
  6. +11 −1 lib/irbtools/more.rb
View
3 CHANGELOG
@@ -1,3 +1,6 @@
+== 1.2.0
+* add looksee
+
== 0.3.2
* load in threads (irbtools 1.0)
* remove jeweler
View
2 LICENSE
@@ -1,4 +1,4 @@
-Copyright (c) 2010-2011 Jan Lelis
+Copyright (c) 2010-2012 Jan Lelis
Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
View
33 README.rdoc
@@ -1,47 +1,34 @@
= irbtools-more
-irbtools[https://github.com/janlelis/irbtools] is a meta gem which installs some useful irb gems and configures your irb.
+The {irbtools gem}[https://github.com/janlelis/irbtools] is a meta gem that installs handy and useful irb gems and provides an appealing ready-to-use irb configuration. It has a modular structure and supports multiple library-loading mechanisms, e.g. via <tt>autoload</tt> or threads.
+
+<tt>irbtools-more</tt> adds some more irb gems which may not build out-of-the-box. Currently included: bond, looksee and drx. See the {irbtools readme}[https://github.com/janlelis/irbtools] for details.
-<tt>irbtools-more</tt> adds some more irb gems which may not build out-of-the-box. Currently included: better auto completion and an object inspector.
== Setup
gem install irbtools-more
-* You need +tk+ for DrX (maybe try <tt>tk_as_gem</tt>)
+In a Gemfile, you need to add:
+
+ gem 'irbtools-more', :require => false
== Usage
-To use it, put the following in your <tt>~/.irbrc</tt> file (this file is loaded everytime you start an irb):
+To use it, put the following in your <tt>~/.irbrc</tt> file (this file is loaded every time you start an irb):
require 'rubygems' # only needed in 1.8
require 'irbtools/more'
-If it does not exist, just create a new one.
-
-It's possible to modify, which libraries get loaded:
+If it does not exist, just create a new one. It's possible to modify, which libraries get loaded:
require 'irbtools/configure'
Irbtools.add_package :more # adds this extension package
# here you can edit which libraries get loaded. See the irbtools README for details.
Irbtools.start
-You could also just use the base +irbtools+ and add the additional gems yourself.
-
-== Features
-
-=== Included gems and libraries
-
- For the libraries included in +irbtools+, see its README page or http://rbjl.net/40-irbtools-release-the-power-of-irb
-* DrX[http://drx.rubyforge.org/] A tk object inspector, defines <tt>Object#see</tt>
-* bond[http://tagaholic.me/bond/] Better auto completion
-
-== Extension packages
-
-Feel free to build your own extension package gem (see this gem's source) and upload it to rubygems.org.
-
== Copyright
-Copyright (c) 2010-2011 Jan Lelis, http://rbjl.net. See LICENSE for details.
+Copyright (c) 2010-2012 Jan Lelis, http://rbjl.net. See LICENSE for details.
-J-_-L
+== J-_-L
View
2 VERSION
@@ -1 +1 @@
-0.3.2
+1.2.0
View
11 irbtools-more.gemspec
@@ -8,13 +8,14 @@ Gem::Specification.new do |s|
s.authors = ["Jan Lelis"]
s.email = %q{mail@janlelis.de}
s.homepage = %q{http://github.com/janlelis/irbtools-more}
- s.description = %q{irbtools is a meta gem that installs useful irb gems and configures your irb. irbtools-more adds some gems which may not build out-of-the-box. Simply put a require 'irbtools/more' in the .irbrc file in your home directory}
- s.summary = %q{irbtools is a meta gem that installs useful irb gems and configures your irb.}
+ s.summary = 'irbtools is a "meta gem" that installs a bunch of useful irb gems and configures them for you.'
+ s.description = 'irbtools is a "meta gem" that installs a bnuch of useful irb gems and configures them for you. irbtools-more adds some gems which may not build out-of-the-box. Simply put a require "irbtools/more" in the .irbrc file in your home directory.'
s.extra_rdoc_files = %w[LICENSE README.rdoc]
s.files = Dir.glob(%w[lib/**/*.rb ]) + %w{VERSION CHANGELOG Rakefile irbtools-more.gemspec}
s.required_ruby_version = '>= 1.8.7'
- s.add_dependency 'irbtools', '>= 1.0.0'
- s.add_dependency 'drx'
- s.add_dependency 'bond'
+ s.add_dependency 'irbtools', '>= 1.2.0'
+ s.add_dependency %q<bond>, '~> 0.4.1'
+ s.add_dependency %q<looksee>, '~> 1.0.3'
+ s.add_dependency %q<drx>
end
View
12 lib/irbtools/more.rb
@@ -17,12 +17,22 @@ module More
end
end
-# irbtools-more libraries
+# # # libraries
+
+# TK object inspector
Irbtools.add_library :drx, :thread => 'more_1'
+
+# Better auto-completion
Irbtools.add_library :bond, :thread => 'more_2' do
Bond.start :gems => %w[irbtools]
end
+# Object#l method for inspecting its load path
+Irbtools.add_library 'looksee', :late_thread => :c do
+ Looksee::ObjectMixin.rename :ls => :l
+ class Object; alias ll l end
+end
+
# load now
if standalone
Irbtools.start

0 comments on commit 5eb9b4b

Please sign in to comment.